qpid::management::ManagementEvent Class Reference

Apache Qpid - AMQP Messaging for Java JMS, C++, Python, Ruby, and .NET | Apache Qpid Documentation

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Attributes
qpid::management::ManagementEvent Class Reference

`#include <qpid/management/ManagementEvent.h>`

List of all members.

## Public Types
typedef void(* | writeSchemaCall_t )(std::string &)
## Public Member Functions
virtual | ~ManagementEvent ()
virtual writeSchemaCall_t | getWriteSchemaCall (void)=0
virtual std::string & | getEventName () const =0
virtual std::string & | getPackageName () const =0
virtual uint8_t * | getMd5Sum () const =0
virtual uint8_t | getSeverity () const =0
virtual void | encode (std::string &) const =0
virtual void | mapEncode (qpid::types::Variant::Map &) const =0
## Static Public Attributes
static const uint8_t | MD5_LEN = 16
static const uint8_t | TYPE_U8 = 1
static const uint8_t | TYPE_U16 = 2
static const uint8_t | TYPE_U32 = 3
static const uint8_t | TYPE_U64 = 4
static const uint8_t | TYPE_SSTR = 6
static const uint8_t | TYPE_LSTR = 7
static const uint8_t | TYPE_ABSTIME = 8
static const uint8_t | TYPE_DELTATIME = 9
static const uint8_t | TYPE_REF = 10
static const uint8_t | TYPE_BOOL = 11
static const uint8_t | TYPE_FLOAT = 12
static const uint8_t | TYPE_DOUBLE = 13
static const uint8_t | TYPE_UUID = 14
static const uint8_t | TYPE_FTABLE = 15
static const uint8_t | TYPE_S8 = 16
static const uint8_t | TYPE_S16 = 17
static const uint8_t | TYPE_S32 = 18
static const uint8_t | TYPE_S64 = 19
static const uint8_t | TYPE_LIST = 21
static const uint8_t | ACCESS_RC = 1
static const uint8_t | ACCESS_RW = 2
static const uint8_t | ACCESS_RO = 3
static const uint8_t | DIR_I = 1
static const uint8_t | DIR_O = 2
static const uint8_t | DIR_IO = 3
static const uint8_t | FLAG_CONFIG = 0x01
static const uint8_t | FLAG_INDEX = 0x02
static const uint8_t | FLAG_END = 0x80
static const uint8_t | CLASS_KIND_TABLE = 1
static const uint8_t | CLASS_KIND_EVENT = 2

## Member Typedef Documentation

typedef void(* qpid::management::ManagementEvent::writeSchemaCall_t)(std::string &)

Definition at line 38 of file ManagementEvent.h.

## Constructor & Destructor Documentation

virtual qpid::management::ManagementEvent::~ManagementEvent | ( |  | ) | `[inline, virtual]`

Definition at line 39 of file ManagementEvent.h.

## Member Function Documentation

virtual void qpid::management::ManagementEvent::encode | ( | std::string & |  | ) | const`[pure virtual]`

virtual std::string& qpid::management::ManagementEvent::getEventName | ( |  | ) | const`[pure virtual]`

virtual uint8_t* qpid::management::ManagementEvent::getMd5Sum | ( |  | ) | const`[pure virtual]`

virtual std::string& qpid::management::ManagementEvent::getPackageName | ( |  | ) | const`[pure virtual]`

virtual uint8_t qpid::management::ManagementEvent::getSeverity | ( |  | ) | const`[pure virtual]`

virtual writeSchemaCall_t qpid::management::ManagementEvent::getWriteSchemaCall | ( | void |  | ) | `[pure virtual]`

virtual void qpid::management::ManagementEvent::mapEncode | ( | qpid::types::Variant::Map & |  | ) | const`[pure virtual]`

## Member Data Documentation

const uint8_t qpid::management::ManagementItem::ACCESS_RC = 1`[static, inherited]`

Definition at line 113 of file ManagementObject.h.

const uint8_t qpid::management::ManagementItem::ACCESS_RO = 3`[static, inherited]`

Definition at line 115 of file ManagementObject.h.

const uint8_t qpid::management::ManagementItem::ACCESS_RW = 2`[static, inherited]`

Definition at line 114 of file ManagementObject.h.

const uint8_t qpid::management::ManagementItem::CLASS_KIND_EVENT = 2`[static, inherited]`

Definition at line 126 of file ManagementObject.h.

const uint8_t qpid::management::ManagementItem::CLASS_KIND_TABLE = 1`[static, inherited]`

Definition at line 125 of file ManagementObject.h.

const uint8_t qpid::management::ManagementItem::DIR_I = 1`[static, inherited]`

Definition at line 117 of file ManagementObject.h.

const uint8_t qpid::management::ManagementItem::DIR_IO = 3`[static, inherited]`

Definition at line 119 of file ManagementObject.h.

const uint8_t qpid::management::ManagementItem::DIR_O = 2`[static, inherited]`

Definition at line 118 of file ManagementObject.h.

const uint8_t qpid::management::ManagementItem::FLAG_CONFIG = 0x01`[static, inherited]`

Definition at line 121 of file ManagementObject.h.

const uint8_t qpid::management::ManagementItem::FLAG_END = 0x80`[static, inherited]`

Definition at line 123 of file ManagementObject.h.

const uint8_t qpid::management::ManagementItem::FLAG_INDEX = 0x02`[static, inherited]`

Definition at line 122 of file ManagementObject.h.

const uint8_t qpid::management::ManagementEvent::MD5_LEN = 16`[static]`

Definition at line 36 of file ManagementEvent.h.

const uint8_t qpid::management::ManagementItem::TYPE_ABSTIME = 8`[static, inherited]`

Definition at line 99 of file ManagementObject.h.

const uint8_t qpid::management::ManagementItem::TYPE_BOOL = 11`[static, inherited]`

Definition at line 102 of file ManagementObject.h.

const uint8_t qpid::management::ManagementItem::TYPE_DELTATIME = 9`[static, inherited]`

Definition at line 100 of file ManagementObject.h.

const uint8_t qpid::management::ManagementItem::TYPE_DOUBLE = 13`[static, inherited]`

Definition at line 104 of file ManagementObject.h.

const uint8_t qpid::management::ManagementItem::TYPE_FLOAT = 12`[static, inherited]`

Definition at line 103 of file ManagementObject.h.

const uint8_t qpid::management::ManagementItem::TYPE_FTABLE = 15`[static, inherited]`

Definition at line 106 of file ManagementObject.h.

const uint8_t qpid::management::ManagementItem::TYPE_LIST = 21`[static, inherited]`

Definition at line 111 of file ManagementObject.h.

const uint8_t qpid::management::ManagementItem::TYPE_LSTR = 7`[static, inherited]`

Definition at line 98 of file ManagementObject.h.

const uint8_t qpid::management::ManagementItem::TYPE_REF = 10`[static, inherited]`

Definition at line 101 of file ManagementObject.h.

const uint8_t qpid::management::ManagementItem::TYPE_S16 = 17`[static, inherited]`

Definition at line 108 of file ManagementObject.h.

const uint8_t qpid::management::ManagementItem::TYPE_S32 = 18`[static, inherited]`

Definition at line 109 of file ManagementObject.h.

const uint8_t qpid::management::ManagementItem::TYPE_S64 = 19`[static, inherited]`

Definition at line 110 of file ManagementObject.h.

const uint8_t qpid::management::ManagementItem::TYPE_S8 = 16`[static, inherited]`

Definition at line 107 of file ManagementObject.h.

const uint8_t qpid::management::ManagementItem::TYPE_SSTR = 6`[static, inherited]`

Definition at line 97 of file ManagementObject.h.

const uint8_t qpid::management::ManagementItem::TYPE_U16 = 2`[static, inherited]`

Definition at line 94 of file ManagementObject.h.

const uint8_t qpid::management::ManagementItem::TYPE_U32 = 3`[static, inherited]`

Definition at line 95 of file ManagementObject.h.

const uint8_t qpid::management::ManagementItem::TYPE_U64 = 4`[static, inherited]`

Definition at line 96 of file ManagementObject.h.

const uint8_t qpid::management::ManagementItem::TYPE_U8 = 1`[static, inherited]`

Definition at line 93 of file ManagementObject.h.

const uint8_t qpid::management::ManagementItem::TYPE_UUID = 14`[static, inherited]`

Definition at line 105 of file ManagementObject.h.

The documentation for this class was generated from the following file:

- qpid/management/ManagementEvent.h